Release: 1.4.49 | Release Date: July 5, 2023

# SQLAlchemy 1.4 Documentation

# Basic Use

This section has moved to Declarative Mapping.

## Defining Attributes

This section is covered by Mapping Table Columns

## Accessing the MetaData

This section has moved to Accessing Table and Metadata.

## Class Constructor

This section has moved to Mapped Class Essential Components.

## Mapper Configuration

This section is moved to Mapper Configuration Options with Declarative.

## Defining SQL Expressions

See SQL Expressions as Mapped Attributes for examples on declaratively mapping attributes to SQL expressions.